? classpath.patch
? w-classpath-0.91
Index: Makefile
===================================================================
RCS file: /cvs/ports/lang/classpath/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	13 Jun 2006 13:26:32 -0000	1.2
+++ Makefile	18 Jun 2006 20:23:25 -0000
@@ -5,14 +5,14 @@
 
 COMMENT=	"essential libraries for java"
 
-DISTNAME=	classpath-0.20
-PKGNAME=	${DISTNAME}p0
+DISTNAME=	classpath-0.91
+PKGNAME=	${DISTNAME}
 
 CATEGORIES=	lang java
 
 .for _lib in gtkpeer javaio javalang javalangreflect javanet javanio \
 	javautil jawtgnu
-SHARED_LIBS+=		${_lib} 0.20
+SHARED_LIBS+=		${_lib} 0.91
 .endfor
 
 HOMEPAGE=	http://www.gnu.org/software/classpath/
Index: distinfo
===================================================================
RCS file: /cvs/ports/lang/classpath/distinfo,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 distinfo
--- distinfo	11 Apr 2006 01:01:34 -0000	1.1.1.1
+++ distinfo	18 Jun 2006 20:23:25 -0000
@@ -1,4 +1,4 @@
-MD5 (classpath-0.20.tar.gz) = 21e34b8e8acb4f7b31296bfaf4ad560a
-RMD160 (classpath-0.20.tar.gz) = a1fc0978c66f9d254a2224d560508bcbeb338748
-SHA1 (classpath-0.20.tar.gz) = c1a38c6c6b67d8c8092cc6af6d86d8c99dad272a
-SIZE (classpath-0.20.tar.gz) = 7110100
+MD5 (classpath-0.91.tar.gz) = 3ce11b4b990b108c5ab93894fcc61be6
+RMD160 (classpath-0.91.tar.gz) = 9aa52a1206e1feb965dac21070ea0068d71b998b
+SHA1 (classpath-0.91.tar.gz) = fcbfdf64f7a990f1747621772a2e9e69d0baaab7
+SIZE (classpath-0.91.tar.gz) = 8458627
Index: pkg/PLIST
===================================================================
RCS file: /cvs/ports/lang/classpath/pkg/PLIST,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 PLIST
--- pkg/PLIST	11 Apr 2006 01:01:34 -0000	1.1.1.1
+++ pkg/PLIST	18 Jun 2006 20:23:25 -0000
@@ -6,6 +6,7 @@
 include/classpath/jni.h
 include/classpath/jni_md.h
 @info info/hacking.info
+@info info/tools.info
 @info info/vmintegration.info
 lib/classpath/
 lib/classpath/libgtkpeer.a
@@ -28,6 +29,7 @@
 lib/security/
 lib/security/classpath.security
 share/classpath/
+share/classpath/README
 share/classpath/examples/
 share/classpath/examples/Makefile.jawt
 share/classpath/examples/README
@@ -80,12 +82,14 @@
 share/classpath/examples/gnu/classpath/examples/CORBA/swing/x5/_PlayerImpl_Tie.java
 share/classpath/examples/gnu/classpath/examples/CORBA/swing/x5/_Player_Stub.java
 share/classpath/examples/gnu/classpath/examples/awt/
+share/classpath/examples/gnu/classpath/examples/awt/AnimationApplet.java
 share/classpath/examples/gnu/classpath/examples/awt/Demo.java
 share/classpath/examples/gnu/classpath/examples/datatransfer/
 share/classpath/examples/gnu/classpath/examples/datatransfer/Demo.java
 share/classpath/examples/gnu/classpath/examples/html/
 share/classpath/examples/gnu/classpath/examples/html/Demo.java
 share/classpath/examples/gnu/classpath/examples/icons/
+share/classpath/examples/gnu/classpath/examples/icons/badge.png
 share/classpath/examples/gnu/classpath/examples/icons/big-fullscreen.png
 share/classpath/examples/gnu/classpath/examples/icons/big-home.png
 share/classpath/examples/gnu/classpath/examples/icons/big-warning.png
@@ -107,14 +111,28 @@
 share/classpath/examples/gnu/classpath/examples/jawt/DemoJAWT.java
 share/classpath/examples/gnu/classpath/examples/midi/
 share/classpath/examples/gnu/classpath/examples/midi/Demo.java
+share/classpath/examples/gnu/classpath/examples/print/
+share/classpath/examples/gnu/classpath/examples/print/Demo.java
 share/classpath/examples/gnu/classpath/examples/swing/
 share/classpath/examples/gnu/classpath/examples/swing/ButtonDemo.java
 share/classpath/examples/gnu/classpath/examples/swing/ComboBoxDemo.java
 share/classpath/examples/gnu/classpath/examples/swing/Demo.java
+share/classpath/examples/gnu/classpath/examples/swing/DemoDesktop.java
+share/classpath/examples/gnu/classpath/examples/swing/DemoFactory.java
+share/classpath/examples/gnu/classpath/examples/swing/DocumentFilterDemo.java
 share/classpath/examples/gnu/classpath/examples/swing/FileChooserDemo.java
-share/classpath/examples/gnu/classpath/examples/swing/GNULookAndFeel.java
+share/classpath/examples/gnu/classpath/examples/swing/ListDemo.java
+share/classpath/examples/gnu/classpath/examples/swing/MetalThemeEditor.java
+share/classpath/examples/gnu/classpath/examples/swing/MiniDemo.java
+share/classpath/examples/gnu/classpath/examples/swing/NavigationFilterDemo.java
 share/classpath/examples/gnu/classpath/examples/swing/ProgressBarDemo.java
 share/classpath/examples/gnu/classpath/examples/swing/ScrollBarDemo.java
 share/classpath/examples/gnu/classpath/examples/swing/SliderDemo.java
+share/classpath/examples/gnu/classpath/examples/swing/SpinnerDemo.java
+share/classpath/examples/gnu/classpath/examples/swing/TabbedPaneDemo.java
+share/classpath/examples/gnu/classpath/examples/swing/TableDemo.java
+share/classpath/examples/gnu/classpath/examples/swing/TextAreaDemo.java
 share/classpath/examples/gnu/classpath/examples/swing/TextFieldDemo.java
+share/classpath/examples/gnu/classpath/examples/swing/TreeDemo.java
 share/classpath/glibj.zip
+share/classpath/tools.zip
